import Action from './Action';

/**
 * An URI Action.
 * @memberof Core.Actions
 */
class URI extends Action {
    /**
     * @extends Core.Actions.Action
     * @param {?object} options - A map of properties to set on the Action
     * @property {string} uri - The URI to launch when the action is triggered
     */
    constructor(options) {
        super(options);
        this.uri = options?.uri || '';
    }

    onTriggered(owner, event, documentViewer) {
        window.open(this.uri, '_blank');
    }
}

export default URI;