import ControlHandle from './ControlHandle';

/**
 * A control handle based on the bounding box of the annotation used for resizing.
 * @memberof Core.Annotations
 */
class BoxControlHandle extends ControlHandle {

  /**
   * Creates a new box control handle
   * @extends Core.Annotations.ControlHandle
   * 
   * @param {number} width - the width of the handle
   * @param {number} height - the height of the handle
   * @param {number} horizontalAlignment - the horizontal position of the handle
   * @param {number} verticalAlignment - the vertical position of the handle
   */
  constructor(width, height, horizontalAlignment, verticalAlignment) {
    this.width = width;
    this.height = height;
    this.horizontalAlignment = horizontalAlignment;
    this.verticalAlignment = verticalAlignment;
  }
}