import SelectionModel from './SelectionModel';

/**
 * A selection model based on the annotation's bounding box. This is used for most generic annotations.
 * @memberof Core.Annotations
 */
class BoxSelectionModel extends SelectionModel {

  /**
   * Creates a box selection model.
   * @extends Core.Annotations.SelectionModel
   * 
   * @param {Core.Annotations.Annotation} annotation - The annotation
   * @param {boolean} canModify - Indicates if the annotation can be modified
   * @param {boolean} isSelected - boolean to denote if the annotation is selected
   */
  constructor(annotation, canModify, isSelected) {
    super(annotation, canModify, isSelected);
  }
}