import WidgetAnnotation from './WidgetAnnotation';

/**
 * Represents a Choice Widget annotation (a combo box).
 * @memberof Core.Annotations
 */
class ChoiceWidgetAnnotation extends WidgetAnnotation {

  /**
   * Creates a new instance of ChoiceWidgetAnnotation.
   * @extends Core.Annotations.WidgetAnnotation
   * 
   * @param {Core.Annotations.Forms.Field} field - The field to associate with the widget
   * @param {?object} options - A map of properties to set on the widget
   * 
   * @property {boolean} FORCE_SELECT - Whether to force all choice widgets to be html select elements
   */
  constructor(field, options) {
    super(options);
    this.field = field;
    this.FORCE_SELECT = false;
  }
}