import MarkupAnnotation from './MarkupAnnotation';

/**
 * @memberof Core.Annotations
 */
class EllipseAnnotation extends MarkupAnnotation {

  /**
   * Represents an ellipse annotation.
   * @extends Core.Annotations.MarkupAnnotation
   * 
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);
    
    /** Gets or sets the border style of an annotation. e.g Solid, Cloudy */
    this.Style = 'Solid';
  }
}