import { uuid } from 'uuidv4'
import { convertAdobeDate } from '../../utils'

class Annotation {
  annotPtr: number;
  Author: string;
  Color: string;
  DateModified: string;
  Height: number;
  Hidden: boolean = false;
  Id: string;
  InReplyTo: string;
  Invisible: boolean = false;
  IsAdded: boolean = false;
  IsClickableOutsideRect: boolean = false;
  IsDeleted: boolean = false;
  IsModified: boolean = false;
  Listable: boolean = true;
  NoDelete: boolean = false;
  NoMove: boolean = false;
  NoResize: boolean = false;
  NoRotate: boolean = false;
  NoView: boolean = false;
  NoZoom: boolean = false;
  PageNumber: number;
  ReadOnly: boolean = false;
  ReplyType: string;
  Rotation: number = 0;
  selectionModel: any;
  Subject: string = 'Annotation';
  Width: number;
  X: number;
  Y: number;
  constructor({
    annotPtr,
    pageNumber,
    creationDate,
  }: {
    annotPtr: number,
    pageNumber: number,
    creationDate: string
  }) {
    this.annotPtr = annotPtr
    this.Id = uuid()
    this.PageNumber = pageNumber
    this.DateModified = creationDate
  }
}

export default Annotation