import Action from './Action';
import Dest from './Dest';

/**
 * A GoTo Action. Navigates to a specific page of the document with various fit options.
 * @memberof Core.Actions
 */
class GoTo extends Action {

    /**
     * @extends Core.Actions.Action
     * @param {?object} options - A map of properties to set on the Action.
     * @property {Core.Actions.Dest} dest - Gets the destination object.
     */
    constructor(options) {
        super(options);
        this.dest = options?.dest ?? new Dest();
    }

    onTriggered(owner, event, documentViewer) {
        super.onTriggered(owner, event, documentViewer);
    }
}

export default GoTo;