/**
 * Represents a class that contains border information for an annotation.
 * @memberof Core.Annotations
 */
class Border {

  /**
   * Creates a new instance of Border.
   * @param {object} options The initialization options, an object with properties color, width, style, cornerRadius
   * 
   * @property {Core.Annotations.Color} color - The color of the border
   * @property {number} width - The width of the border
   * @property {string} style - The style of the border (possible types include: solid, bevelled, inset)
   * @property {number} cornerRadius - The corner radius size
   */
  constructor(options) {
    this.color = options.color;
    this.width = options.width;
    this.style = options.style;
    this.cornerRadius = options.cornerRadius;
  }
}

export default Border;