import Field from './Field';
import FieldManager from './FieldManager';

/**
 * Contains the tools to create and manipulate form field data
 * @memberof Core.Annotations
 * @property {function} getUsableInputWidth - A function to set the allowable width for fields with "scroll long text" disabled. It takes the width of the field and it should return a number which is the new allowable width
 */
class Forms {
  static Field = Field;
  static FieldManager = FieldManager;

  getUsableInputWidth() {
    return 10;
  }
}

export default Forms;
