import HTMLAnnotation from './HTMLAnnotation.js'

/**
 * @memberof Core.Annotations
 */
class Link extends HTMLAnnotation {

  /**
   * Represents a PDF Link annotation with associated actions.
   * @extends Core.Annotations.HTMLAnnotation
   * @param {object} options - A map of properties to set on the new Link
   * @property {string} URI - The URI to launch when the link is clicked
   */
  constructor(options) {
    super(options);
    this.URI = options?.URI;

    /** Gets or sets the stroke style of the link annotation. */
    this.StrokeStyle = options?.StrokeStyle;

    /** Gets or sets the stroke thickness of the link annotation. */
    this.StrokeThickness = options?.StrokeThickness;
  }

  /**
   * Returns whether the link is added by WebViewer automatically.
   * @return {boolean} Whether the link is added by WebViewer automatically.
   */
  isAutomaticLink() {}
}

export default Link;
