import WidgetAnnotation from './WidgetAnnotation.js'

/**
 * Represents a List Widget annotation (a list).
 * @memberof Core.Annotations
 */
class ListWidgetAnnotation extends WidgetAnnotation {

  /**
   * Creates a new instance of ListWidgetAnnotation.
   * @extends Core.Annotations.WidgetAnnotation
   * @param {Core.Annotations.Forms.Field} field - The field to associate with the widget
   * @param {object} [options] - A map of properties to set on the widget
   */
  constructor(field, options) {
    super(options);
    this.field = field;
  }
}

export default ListWidgetAnnotation;
