import MarkupAnnotation from './MarkupAnnotation.js'

/**
 * @memberof Core.Annotations
 */
class RectangleAnnotation extends MarkupAnnotation {

  /**
   * Represents a rectangle annotation.
   * @extends Core.Annotations.MarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);
    this.elementName = 'square';
  }
}

export default RectangleAnnotation;
