import TextMarkupAnnotation from './TextMarkupAnnotation';

/**
 * @memberof Core.Annotations
 */
class TextHighlightAnnotation extends TextMarkupAnnotation {

  /**
   * Represents a text highlight annotation.
   * @extends Core.Annotations.TextMarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   * @property {number} opacityCap - The maximum opacity of all highlight annotations.
   */
  constructor(initializer) {
    super(initializer);
    this.opacityCap = initializer?.opacityCap || 1;
    this.elementName = 'highlight';

    /** Gets of sets the text quads of the annotation. */
    this.Quads = initializer?.Quads;
  }
}

export default TextHighlightAnnotation;