import MarkupAnnotation from './MarkupAnnotation';

/**
 * Represents an extendable text markup annotation. This is the parent class for Highlight, Underline, and Strikeout annotations.
 * @memberof Core.Annotations
 */
class TextMarkupAnnotation extends MarkupAnnotation {

  /**
   * Creates a new instance of TextMarkupAnnotation.
   * @extends Core.Annotations.MarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);

    this.Quads = initializer?.Quads;
  }
}

export default TextMarkupAnnotation;
