import TextMarkupAnnotation from './TextMarkupAnnotation';

/**
 * Represents a text squiggly annotation.
 * @memberof Core.Annotations
 */
class TextSquigglyAnnotation extends TextMarkupAnnotation {

  /**
   * Create a new TextSquigglyAnnotation.
   * @extends Core.Annotations.TextMarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);
    this.elementName = 'squiggly';
  }
}

export default TextSquigglyAnnotation;
