import TextMarkupAnnotation from './TextMarkupAnnotation';

/**
 * Represents a text strikeout annotation.
 * @memberof Core.Annotations
 */
class TextStrikeoutAnnotation extends TextMarkupAnnotation {

  /**
   * Creates a new TextStrikeout annotation.
   * @extends Core.Annotations.TextMarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);
    this.elementName = 'strikeout';
  }
}

export default TextStrikeoutAnnotation;
