import TextMarkupAnnotation from './TextMarkupAnnotation';

/**
 * @memberof Core.Annotations
 */
class TextUnderlineAnnotation extends TextMarkupAnnotation {

  /**
   * Represents a text underline annotation.
   * @extends Core.Annotations.TextMarkupAnnotation
   * @param {object} [initializer] - A map of values to auto-initialize certain properties of the annotation. You can only initialize properties defined on the annotation under the Members section (unless specified otherwise).
   */
  constructor(initializer) {
    super(initializer);
    this.elementName = 'underline';
  }
}

export default TextUnderlineAnnotation;
