import Point from './Point';
import Quad from './Quad';
import Rect from './Rect';

/** 
 * Contains helpful classes to work with position, dimensions, and transformations.
 * @memberof Core
 * @namespace
 * @example
WebViewer(...)
.then(function(instance) {
  var Math = instance.Core.Math;
  // Math.Point
});
 */
const Math = {
  Point,
  Quad,
  Rect
}

export default Math;
